<?php
/**
 * @category   Alogic
 * @package    Alogic_Resellers
 * @author     dushyant.joshi@alogic.co
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Resellers\Model\ResourceModel;
use Magento\Framework\Model\AbstractModel;

class Resellers extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb {
	/**
	 * Define main table
	 */
	protected function _construct() {
		$this->_init('alogic_resellers', 'id'); //here "alogic_resellers" is table name and "id" is the primary key of custom table
	}
	/** @param AbstractModel $object
	 *
	 * @return $this|AbstractDb
	 */
	protected function _beforeSave(AbstractModel $object) {

		$countries = $object->getCountry();
		if (is_array($countries)) {
			$object->setCountry(implode(',', $countries));
		}
		return $this;
	}
}